%global aptbasever 0.5.15
%global aptpatchver 6
%global momorel 4

%global tarversion %{aptbasever}cnc%{aptpatchver}
%global moversion %{aptbasever}.cnc.%{aptpatchver}

Name: apt
Version: %{moversion}
Release: %{momorel}m
Summary: Debian's Advanced Packaging Tool with RPM support
Group: Applications/System
License: GPL
Source0: http://moin.conectiva.com.br/files/AptRpm/attachments/%{name}-%{tarversion}.tar.bz2
#NoSource: 0
# because redirected to https://...
#
Source1: apt.conf-0.5.15
Source2: sources.list-0.5.15-mo
#Source3: vendors.list-mo
Source4: preferences.momonga
#Source5: gpg-keyring.conf
Source10: apt-0.5.15cnc6-ja.po

# patch from Vine
Patch11: apt-rpmpriorities.patch
Patch12: apt-LINGUAS.patch
Patch13: apt-ARCH.patch
Patch16: apt-archtable.patch
Patch20: apt-momonga-rpmsystem.patch
Patch21: apt-momonga-apt-cdrom.patch

PreReq: fileutils, sed
Requires: rpm >= 4.0.4, gnupg, bzip2, db4
Requires: readline >= 4.3
#tmp Requires: vine-keyring >= 1.0
BuildPreReq: rpm-devel >= 4.3.2-1m
BuildPreReq: bzip2-devel, zlib-devel
BuildPreReq: db4, db4-devel >= 4.2.52-5m
BuildPreReq: glibc-devel, popt
BuildPreReq: gettext
BuildPreReq: readline-devel >= 4.3
BuildPreReq: docbook-utils
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: openjade >= 1.3.2-2m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A port of Debian's apt tools for RPM based distributions,
or at least for Conectiva. It provides the apt-get utility that
provides a simpler, safer way to install and upgrade packages.
APT features complete installation ordering, multiple source
capability and several other unique features.

%package devel
Summary: Development files and documentation for APT's libapt-pkg
Group: Development/Libraries
PreReq: %{name} = %{version}-%{release}
Obsoletes: libapt-pkg-devel <= 0.3.19cnc30, libapt-pkg-doc <= 0.3.19cnc30

%description devel
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%prep
%setup -q -n %{name}-%{tarversion}
cp %{SOURCE10} po/ja.po

%patch11 -p1
%patch12 -p0
%patch13 -p0
%patch16 -p1
%patch20 -p1
%patch21 -p1

%build

%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}

%makeinstall includedir=%{buildroot}%{_includedir}/apt-pkg

# stat directories
mkdir -p %{buildroot}%{_var}/cache/apt/archives/partial
mkdir -p %{buildroot}%{_var}/cache/apt/genpkglist
mkdir -p %{buildroot}%{_var}/cache/apt/gensrclist
mkdir -p %{buildroot}%{_var}/state/apt/lists/partial
mkdir -p %{buildroot}%{_var}/state/apt/prefetch

# config files
mkdir -p %{buildroot}%{_sysconfdir}/apt
mkdir -p %{buildroot}%{_sysconfdir}/apt/apt.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/translate.list.d
install %{SOURCE1} %{buildroot}%{_sysconfdir}/apt/apt.conf
install %{SOURCE2} %{buildroot}%{_sysconfdir}/apt/sources.list
#install %{SOURCE3} %{buildroot}%{_sysconfdir}/apt/vendors.list
install rpmpriorities %{buildroot}%{_sysconfdir}/apt
install %{SOURCE4} %{buildroot}%{_sysconfdir}/apt/preferences
#install %{SOURCE5} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/gpg-keyring.conf

# scripts dirs
mkdir -p %{buildroot}%{_libdir}/apt/scripts

# install contribs
pushd contrib
# install apt-wrapper
install -m 755 apt-wrapper/apt %{buildroot}%{_bindir}
#bug_of_vine install apt-wrapper/apt.1 %{buildroot}%{_mandir}
#
mkdir -p %{buildroot}%{_mandir}/man1
install apt-wrapper/apt.1 %{buildroot}%{_mandir}/man1

# install lua scripts, but not install .conf file.
for i in allow-duplicated apt-files guess \
         install-devel list-extras list-nodeps proxypasswd
do
  install $i/$i.lua %{buildroot}%{_libdir}/apt/scripts
done
popd

%triggerun -- apt < 0.5.4
CONF=/etc/apt/apt.conf
if [ -f $CONF ]; then
   mv $CONF $CONF.rpmold
   sed -e 's/HoldPkgs/Hold/' \
       -e 's/AllowedDupPkgs/Allow-Duplicated/' \
       -e 's/IgnorePkgs/Ignore/' \
       -e 's/PostInstall/Post-Install/' \
       -e 's#Methods .*#Methods "/usr/lib/apt/methods";#' \
       $CONF.rpmold > $CONF
fi

%post
ldconfig -n %{_libdir}
rm -f %{_var}/cache/apt/*.bin

%postun
ldconfig -n %{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,755)
%doc AUTHORS* COPYING* TODO*
%doc doc/examples/ contrib/
%{_mandir}/man?/*
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*
%dir %{_sysconfdir}/apt
%dir %{_sysconfdir}/apt/apt.conf.d
%dir %{_sysconfdir}/apt/translate.list.d
%config(noreplace) %{_sysconfdir}/apt/apt.conf 
%config(noreplace) %{_sysconfdir}/apt/preferences
%config(noreplace) %{_sysconfdir}/apt/sources.list
#%%config %{_sysconfdir}/apt/apt.conf.d/gpg-keyring.conf
#%%config %{_sysconfdir}/apt/vendors.list
%config %{_sysconfdir}/apt/rpmpriorities
%{_var}/cache/apt
%{_var}/state/apt
%defattr(755,root,root)
%dir %{_libdir}/apt
%{_libdir}/apt/*
%{_bindir}/*

%files devel
%defattr(0644,root,root,755)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%dir %{_includedir}/apt-pkg
%{_includedir}/apt-pkg/*


%changelog
* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.5.15.cnc.6-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Aug 07 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.5.15.cnc.6-3m)
- rebuild against rpm-4.3

* Mon Aug 02 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.15.cnc.6-2m)
- commentout sample source.list

* Fri Jun 04 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-1m)
- delete comment lines and arrange spec file

* Fri May 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.7m)
- tmp comment out Source3 vendors.list-mo avoid error

* Fri May 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.6m)
- delete Patch14: apt-rebuilddb.patch for rebuild rpm-4.2.1
- add %%{_libdir}/*.la files devel section for /usr/lib/libapt-pkg.la

* Thu May 20 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.5m)
- try and fix sources.list

* Wed May 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.4m)
- adapt Source1 apt.conf-0.5.15 for momonga
- adapt Source2 sources.list-0.5.15 for momonga
- delete prereq ldconfig, momonga has ldconfig in glibc-commona package
- tmp comment out Source3 vendors.list-0.5.15
- revise Source3: vendors.list-mo but fingerprint contained is dummy
- adapt Source4 preferences.momonga for momonga
- comment out Source5: gpg-keyring.conf
- adapt Patch11 apt-rpmpriorities.patch for momonga
- rename Patch12 to apt-LINGUAS.patch
- rename Patch13 to apt-ARCH.patch
- rename Patch14 to apt-rebuilddb.patch
- rename Patch16 to apt-archtable.patch
- adapt Patch20 apt-momonga.patch fro momonga
- split for file Patch20 to new Patch20 and Patch21

* Wed May 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.3m)
- add BuildPreReq: docbook-utils for use docbook2man in doc/Makefile
- set %%aptbasever and %%aptpatchver
- change %%origversion to %%tarversion
- change %%vineversion to %%moversion

* Wed May 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.2m)
- delete NoSource: 0
- we can not get s:0 from ftp

* Tue May 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.15.cnc.6-0.1m)
- momonganize
- - add NoSource: 0
- - use momorel
- - change define to global
- - fix apt.1 installed dir
- - tmp comment out 'Requires: vine-keyring >= 1.0'

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl2
- add Requires: vine-keyring >= 1.0 to verify apt repository's gpg signs.
- add apt.conf.d/gpg-keyring.conf to read vine-keyring.

* Tue Mar 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.6-0vl1
- new upstream release
- add apt wrapper
- install contrib lua scripts.

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.5-0vl1
- new upstream release

* Thu Dec 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.4-0vl1
- new upstream release
- remove ja.po and Patch15 which are included in upstream now

* Wed Nov 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.3-0vl1
- new upstream release
- update sources.list (remove old apt-line)

* Thu Nov 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.15.cnc.2-0vl1
- new upstream release
- update ja.po

* Thu Jun 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.6-0vl1
- new upstream release

* Sat Mar  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.4.1-0vl2
- update ja.po

* Sat Mar  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.4.1-0vl1
- new upstream release 0.5.5cnc4.1
  - new apt-shell command added
- add Requires: readline >= 4.3 and BuildPreReq: readline >= 4.3

* Tue Mar  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.3-0vl2
- remove bogus comment from apt/preferences...

* Tue Mar  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.5.cnc.3-0vl1
- new upstream release 0.5.5cnc3
- drop patch17
- update patch10,patch12,patch15
- update ja.po

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl18
- fixed typo
- rebuild to fix dependancy

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl17
- update ja.po to fix translations

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl16
- update ja.po

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl15
- add BuildPreReq: db2-devel

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl14
- add Patch17 to disable allowduplicate for kernel.*.
  kernel-{doc,headers,sources} is not duplicatable.
  we use apt.conf to allow duplicate kernel package.

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl13
- add Patch0,1 from cnc package
- renumber Vine patches.
- update vendors.list

* Fri Nov 22 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.5.4.cnc.9-0vl12
- added Patch10 (archtable.patch) for athlon, powerpc/ppc

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl11
- drop Patch6. apt not work with it...(FIXME)

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl10
- add /etc/apt/apt.conf.d

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl9
- add some missing files.
- add Patch6 to make static libs.

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl8
- add Patch4 to rebuilding rpmdb when rpm is upgraded.
- add Patch5 to gettextize apt-cdrom.
- update Patch0 to change some Distro name from Conectiva to Vine Linux
- update ja.po

* Fri Nov 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl7
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl6
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl5
- add Patch3 to replace $(ARCH) in sources.list any time.

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl4
- fixed typo in %%triggerun script

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl3
- update ja.po

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl2
- add patch2 to add ja to ALL_LINGUAS

* Thu Nov 21 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.9-0vl1
- new upstream release
- build on rpm-4.0.4

* Sat Jul 13 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4.cnc.1-1vl1
- build for Vine Linux
- new upstream release
  * Fri May 10 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
  + apt-0.5.4cnc1-1cl
  - New upstream release.

* Sun Apr 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl9
- added static subpackage

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl8
- update sources.list

* Tue Mar 12 2002 Toru Sagami <sagami@vinelinux.org> 0.3.19.cnc.55-3vl7
- corrected Group

* Sun Mar 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl6
- updated Patch110 (archtable: powerpc -> ppc, ppc -> ppc)

* Thu Mar 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.19.cnc.55-3vl5
- updated patch105 to allowdup kernel-mol and kernel22-mol
  (but *-mol kernel package will be obsolete we hope...)

* Thu Mar 07 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl4
- change powerpc to ppc in archtable for $(ARCH)
- hold kernel22 guys ( update patch105 )

* Mon Feb 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl3
- update sources.list for new aptdata
- add hold information in apt.conf

* Sun Feb 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl2
- hold kernel24 guys ( update patch105 )

* Sun Feb 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.55-3vl1
- new upstream version 0.3.19cnc55-3cl

* Wed Jan 30 2002 Jun Nishii <jun@vinelinux.org> 0.3.19.cnc.53-2vl3
- hold kernel related guys

* Tue Jan 15 2002 Flavio Bruno Leitner <flavio@conectiva.com>
+ apt-0.3.19cnc55-3cl
- added nodeps.patch to fix the order of parameters passed to
  rpm (closes: #4689, #4534)
  
* Wed Dec 12 2001 Flavio Bruno Leitner <flavio@conectiva.com>
+ apt-0.3.19cnc55-2cl
- Closes: #3950 (apt: falta internacionalizar algumas frases)
  added new pt_BR.po reviewed by me
    
* Tue Dec 11 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc55-1cl
- released version 0.3.19cnc55
- removed config.cache from distribution
- added --progress patch to gensrclist
- added --flat option to gensrclist
    
* Fri Nov 30 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc54-1cl
- released version 0.3.19cnc54
- added RPM::IgnorePkgs option
- added --progress option to most utilities 
        (Stelian Pop <stelian.pop@fr.alcove.com>)
- added RPM::IgnoreRpmlibDeps

* Sun Nov 25 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.53-2vl2
- update ja.po
- added apt-rpmmessage.patch to change message "Executing RPM(0)"
  to "Executing RPM(-Uv)"

* Fri Nov 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.53-2vl1
- merged with new upstream version 0.3.19cnc53-2cl
- update ja.po

* Mon Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc53-2cl
- fixed bug in mirror patch

* Mon Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc53-1cl
- released version 0.3.19cnc53
- added kernel-tape to default AllowedDupPkgs
- cleaned up gen{pkg,src}list (Alexander Bokovoy <ab@avilink.net>)
- fixed crash bug in genpkglist
- added patch to fix bug in genbasedir with empty dirs 
  (Stelian Pop <stelian.pop@fr.alcove.com>)
- configure.in patch to detect rpmdb (Stelian Pop <stelian.pop@fr.alcove.com>)
-       * Skips correctly over empty package directories
-       * Adds the --bz2only argument which makes genbasedir
-       to generate only the .bz2 compressed versions of pkglist
-       and srclist (space gain...)
-       * Doesn't change the timestamps on pkglists/srclists if
-       the contents are not modified (making possible for example
-       to make several consecutive runs of genbasedir without
-       having the apt clients download the indexes again and again).
-       * Some minor cleanups (remove the temporary files in /tmp
-       at the end of the script etc).
- (Stelian Pop <stelian.pop@fr.alcove.com>)
- cleanup patch for gensrclist (Stelian Pop <stelian.pop@fr.alcove.com>)
- fixed multi-arch pkg handling (Stelian Pop <stelian.pop@fr.alcove.com>)
- added -K (RPM::Check-Signatures) option to verify rpm sigs
- updated russian translation (Alexander Bokovoy <ab@avilink.net>)
- updated i18n (Dmitry Levin <ldv@alt-linux.org>)
- replaced Apt::GPG::Pubring with Apt::GPG::PubringPath
  also uses --homedir instead of --keyring in gpg (Ivan Zakharyashev)
- patch to detect replaced (instead of just removed) packages 
  Dmitry Levin <ldv@alt-linux.org> 
- updated mirrors patch
    
* Fri Oct 19 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-5cl
- Fixed mirrors infinite loop bug (closes: #4420).
    
* Sat Sep  8 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-4vl2
- add apt-genpkglist.patch to add pkgInitialize(). 
  FindDir in genpkglist does not work, because there is no pkgInitialize().

* Thu Sep  6 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-4vl1
- Merged with apt-0.3.19cnc52-4cl
- add apt-rpmpriorities.vine.patch.

* Wed Sep  5 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-3vl2
- FIXME: copy config.h.in from apt-0.3.19cnc50
         new config.h.in does not work with Vine Linux.

* Sat Aug 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.52-3vl1
- Merged with apt-0.3.19cnc52-3cl

* Thu Aug 09 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-3cl
- Updated mirrors patch.

* Tue Aug 07 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc52-2cl
- Added mirrors patch.

* Wed Aug 01 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc52-1cl
- released version 0.3.19cnc52
- fixed compile problem with gcc 2.96.x
- fixed bug in file method with authentication enabled 
  (Alexander Bokovoy <ab@avilink.net>)
- added RPM::RemoveOptions and RPM::UpgradeOptions
- Included patch to add s390 to arch table.

* Thu Jul 12 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc51-1cl
- released version 0.3.19cnc51
- included many portability (Solaris) fixes from 
  AUSTIN MURPHY <amurphy@nbcs.rutgers.edu>
- make packages with same version and diff deps be ignored (closes: 1628)

* Tue Jul  3 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.50-1vl2
- added Patch200 for playstation2

* Tue Jul  3 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.50-1vl1
- merged with 0.3.19cnc50-1cl

* Thu Jun 28 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.49-1vl1
- merged with 0.3.19cnc49-1cl
- added Patch106 to extend error message length (S[400] -> S[1024]).

* Thu Jun 28 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.3.19.cnc.48-1vl2
- added Patch105 to allow kernel24{,-smp,-BOOT} to include AllowedDupPkgs
- modified Source1 (apt.conf) for the same reason

* Wed Jun 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc49-1cl
- released version 0.3.19cnc49
- added workaround for kernel installations that require upgrde on mkinitrd
  (closes: #3889)
  
* Wed Jun 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.48-1vl1
- merged with 0.3.19cnc48-1cl

* Mon Jun 25 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc48-1cl
- released version 0.3.19cnc48
- added RPM::AutoRebuildDB (enabled by default)
- added fetch status to CDROM method
- released (closes: #3905)

* Sun Jun 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.47-1vl2
- updated ja.po

* Sun Jun 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.47-1vl1
- merged with 0.3.19cnc47-1cl
- fixed bug in HoldPkgs

* Fri Jun 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc47-1cl
- released version 0.3.19cnc47
- fixed bug in RPM::HoldPkgs (closes: #3838)
- removed debug msg

* Tue Jun 19 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc46-1cl
- released version 0.3.19cnc46
- changed apt.conf to include RPM::AllowDupPkgs, RPM::HoldPkgs (closes: #3433)
- added Acquire::cdrom::copy, which will fetch all pkgs before installing (closes: #1024)
- added delay before file fetch retry (closes: #1294)
- fixed architecture selection (closes: #3606)
- iterating over Packages instead of Names to figure package count

* Sat Jun 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.45-1vl3
- add kernel-BOOT to AllowDupPkgs list.

* Sat Jun 16 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.45-1vl1
- merged with 0.3.19cnc45-1cl

* Wed Jun 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc45-1cl
- released version 0.3.19cnc45
- fixed bug with progress update (closes: #2915)

* Mon Jun 11 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc44-1cl
- released version 0.3.19cnc44
- removed %config from method drivers
- replaced option RPM::AllowedDupPackages with RPM::AllowedDupPkgs
- added option RPM::HoldPkgs (closes: #3462)

* Sat Jun 1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.43-2vl2
- updated ja.po.

* Sat Jun 1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.43-2vl1
- merged with 0.3.19cnc43-2cl

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl7
- fixed some translations in ja.po.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl6
- fixed sources.list/vendor.list

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl5
- splited vine specific part from gettext patch.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl4
- updated ja.po.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl3
- updated gettext patch.

* Mon May 21 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl2
- vine gettext patch is comes back.

* Sun May 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.38-2vl1
- merge to upstream version 0.3.19cnc38-2cl

* Fri May 18 2001 Ademar de Souza Reis Jr. <ademar@conectiva.com.br>
+ apt-0.3.19cnc43-2cl
- New patch4. Closes: #3523 (apt-cdrom doesn't umount CD)

* Fri May 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc43-1cl
- fixed bug with record offsets (shows bad pkg description under rpm4)
- fixed bug with apt-get source (closes: #3047)

* Thu May 17 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc42-1cl
- released version 0.3.19cnc42
- merged all src patches into main src tree
- fixed stupid bug on rpminit header...
- extended Acquire::Retries to all file type acquirations (closes: #1617)

* Mon May 14 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-8cl
- added Ivan Zakharyaschev's line break patch (closes: #1616)

* Wed May  9 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-7cl
- adjusting rpmpriorities to reflect changes in conectiva's package base
  (glibc-base is marked as essential replacing glibc, elvis-tiny marked
  as essential, info and glib not marked as essential, etc.) (closes:
  #3115, #3117)

* Fri May  4 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-6cl
- spec cleanup: removing static components from buildrequires

* Fri May  4 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-5cl
- removing static link kludge added in 3cl, a better solution is in the works.

* Fri Apr 27 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc41-4cl
- Fixed NextRecord() and GetRecord() (Closes: #2915).

* Thu Apr 26 2001 Claudio Matsuoka <claudio@conectiva.com>
+ apt-0.3.19cnc41-3cl
- statically linking rpmlib and friends to avoid lossage with glibc
  upgrade from conectiva 6.0 to snapshot

* Sun Apr 15 2001 Gustavo Niemeyer <niemeyer@conectiva.com>
+ apt-0.3.19cnc41-2cl
- Added patch for ia64.

* Thu Mar 29 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc41-1cl
- released version 0.3.19cnc41
- auto rebuild rpmdb when rpm is upgraded

* Tue Mar 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc40-1cl
- released version 0.3.19cnc40
- custom OrderInstall() (ignores all deb specific ordering/debconf stuff)

* Fri Mar 23 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc39-1cl
- released version 0.3.19cnc39
- fixes problem with different rpmdb versions

* Thu Mar 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc38-2cl
- autotester workaround...

* Thu Mar 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc38-1cl
- released version 0.3.19cnc38
- fixed epoch display on apt-cache
- added user specified public keyring option for gpg 
- added italian po file
- fixed bug on dependency resolution for virtual packages with mult.providers

* Tue Feb 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc37-1cl
- released version 0.3.19cnc37
- noreplace put back for sources.list (closes: #1548)
- recompiled (closes: #1559)
- fixed dist-upgrade bogus msg (closes: #1254)
- fixed no_proxy handling

* Sat Feb 17 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ apt-0.3.19cnc36-1cl
- released version 0.3.19cnc36
- fixed problem with arch selection (I swear it works now!)
- fixed bug with rpm4

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc35
- fixed problem with case sensitiveness
- fixed rpmpriority interpretation

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc34
- rpm4 fix?

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc33
- added new gui hookz

* Mon Jan 22 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl19
- Oops ring ftp dir was /pub/linux/..., not /pub/Linux/ :-(
- fixed Source100 (rpm-source should be rpm-src)

* Sat Jan 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc32
- fixed arch selection code
- fixed priority and section info in internal package structs

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl18
- auto-generate sources.list using Source100 (thanks shom-san)

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl17
- add VinePlus/2.1 entries

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.3.19.cnc.27-6vl16 (vl15 preserved for Vine-2.1.x ?)
- install arch-specific sources.list

* Tue Jan 16 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- unbroke potfiles

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc31

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc30

* Sat Jan 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc29

* Thu Jan 04 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc28
- added gnupg dependency

* Sun Dec 17 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl14
- remove noreplace tag from sources.list

* Sat Dec 16 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl13
- update gettext patch
- update ja.po

* Wed Dec 13 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl12
- update gettext patch
- update ja.po

* Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl11
- update gettext patch  from Debianguru
- update ja.po

* Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl10
- update gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl9
- update ja.po (almost translated)

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl8
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl7
- update gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl6
- add gettext patch
- update ja.po

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl3
- update ja.po

* Sat Dec 09 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl2
- rebuild on gcc-2.95.3

* Sat Dec 09 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-6vl1
- updated to 0.3.19cnc27-6cl

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- damn! Wrong URL in sources.list, atualizacoes.conectiva.com
  doesn't exist, of course...

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- updated sources.list with new mirrors and new download tree
- removed (noreplace) for the sources.list file for this
  upgrade. It will be easier for the user. The (noreplace)
  should be back in place after this update as we expect no
  further big modifications for that file, only new mirrors.

* Wed Dec 06 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.19.cnc.27-0vl1
- updated to 0.3.19.cnc.27

* Wed Dec 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- fixed prob in vendors.list

* Tue Dec 05 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc27

* Wed Nov 08 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc26

* Tue Nov 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- added ad-hoc patch for gcc-2.95.x

* Mon Nov 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc25

* Sun Nov  5 2000 Kazuhisa TAKEI <takei@vinelinux.org> 
- modify for Vine Linux

* Thu Nov 02 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc24

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list (again)

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list

* Wed Nov 01 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc23
- added cache directories for gen{pkg,src}list
- pt_BR manpages

* Tue Oct 31 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc22
- Requires -> PreReq in apt-devel

* Mon Oct 30 2000 Alfredo Kojima <kojima@conectiva.com>
- collapsed libapt-pkg-devel and -doc to apt-devel

* Mon Oct 30 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc21

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc20

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc19
- added gensrclist
- support for apt-get source

* Fri Oct 27 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc18

* Thu Oct 26 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc17
- new manpages

* Wed Oct 25 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc16

* Sun Oct 22 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc15

* Sat Oct 21 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc14

* Thu Oct 19 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.3.9cnc13

* Tue Oct 17 2000 Eliphas Levy Theodoro <eliphas@conectiva.com>
- added rpmpriorities to filelist and install

* Tue Oct 17 2000 Claudio Matsuoka <claudio@conectiva.com>
- updated to 0.3.19cnc12
- fresh CVS snapshot including: support to Acquire::ComprExtension,
  debug messages removed, fixed apt-cdrom, RPM DB path, rpmlib call
  in pkgRpmLock::Close(), package priority kludge removed, i18n
  improvements, and genbasedir/genpkglist updates.
- handling language setting in genpkglist to make aptitude happy

* Wed Oct 11 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc11
- fixed problem with shard lib symlinks

* Tue Oct 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc10

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- fixed brown paper bag bug with method permissions
- added parameter --sign to genbasedir
- added html/text doc files

* Sat Sep 30 2000 Claudio Matsuoka <claudio@conectiva.com>
- bumped to 0.3.19cnc9
- added vendors.list
- added gpg method
- fixed minor stuff to make Aptitude work
- added missing manpages
- fixed shared libs
- split in apt, libapt-pkg, libapt-pkg-devel, libapt-pkg-doc
- rewrote genbasedir in shell script (original was in TCL)
- misc cosmetic changes

* Tue Sep 26 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc8

* Wed Sep 20 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc7

* Mon Sep 18 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc6

* Sat Sep 16 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc5

* Fri Sep 15 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc4

* Mon Sep 12 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc3

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- renamed package to apt, with version 0.3.19cncV

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.10
- added genpkglist and rapt-config
- program names changed back to apt-*

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.9

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.8

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.7

* Fri Sep 1 2000 Alfredo K. Kojima <kojima@conectiva.com>
- fixed typo in sources.list

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.6

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.5

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.4

* Wed Aug 30 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.3

* Thu Aug 28 2000 Alfredo K. Kojima <kojima@conectiva.com>
- second try. new release with direct hdlist handling

* Thu Aug 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- initial package creation. Yeah, it's totally broken for sure.

